VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ShadingRatePaletteNV (uint32_t shadingRatePaletteEntryCount_=0, const ShadingRatePaletteEntryNV *pShadingRatePaletteEntries_=nullptr)
| ShadingRatePaletteNV (VkShadingRatePaletteNV const &rhs)
ShadingRatePaletteNV & | operator= (VkShadingRatePaletteNV const &rhs)
ShadingRatePaletteNV & | setShadingRatePaletteEntryCount (uint32_t shadingRatePaletteEntryCount_)
ShadingRatePaletteNV & | setPShadingRatePaletteEntries (const ShadingRatePaletteEntryNV *pShadingRatePaletteEntries_)
| operator VkShadingRatePaletteNV const & () const
| operator VkShadingRatePaletteNV & ()
bool | operator== (ShadingRatePaletteNV const &rhs) const
bool | operator!= (ShadingRatePaletteNV const &rhs) const

## Data Fields

uint32_t | shadingRatePaletteEntryCount
const ShadingRatePaletteEntryNV * | pShadingRatePaletteEntries

## Detailed Description

Definition at line 36529 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ShadingRatePaletteNV() [1/2]

VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::ShadingRatePaletteNV | ( | uint32_t | shadingRatePaletteEntryCount_ = `0`,
|  | const ShadingRatePaletteEntryNV * | pShadingRatePaletteEntries_ = `nullptr`
| ) |  |

inline

Definition at line 36531 of file vulkan.hpp.

: shadingRatePaletteEntryCount( shadingRatePaletteEntryCount_ )
, pShadingRatePaletteEntries( pShadingRatePaletteEntries_ )
{
}

## ShadingRatePaletteNV() [2/2]

VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::ShadingRatePaletteNV | ( | VkShadingRatePaletteNV const & | rhs | ) |

inline

Definition at line 36538 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ShadingRatePaletteNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkShadingRatePaletteNV &()

VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::operator VkShadingRatePaletteNV & | ( |  | ) |

inline

Definition at line 36565 of file vulkan.hpp.

{
return *reinterpret_cast<VkShadingRatePaletteNV*>(this);
}

## operator VkShadingRatePaletteNV const &()

VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::operator VkShadingRatePaletteNV const & | ( |  | ) | const

inline

Definition at line 36560 of file vulkan.hpp.

{
return *reinterpret_cast<const VkShadingRatePaletteNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::operator!= | ( | ShadingRatePaletteNV const & | rhs | ) | const

inline

Definition at line 36576 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ShadingRatePaletteNV& VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::operator= | ( | VkShadingRatePaletteNV const & | rhs | ) |

inline

Definition at line 36543 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ShadingRatePaletteNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::operator== | ( | ShadingRatePaletteNV const & | rhs | ) | const

inline

Definition at line 36570 of file vulkan.hpp.

{
return ( shadingRatePaletteEntryCount == rhs.shadingRatePaletteEntryCount )
&& ( pShadingRatePaletteEntries == rhs.pShadingRatePaletteEntries );
}

References pShadingRatePaletteEntries, and shadingRatePaletteEntryCount.

Referenced by operator!=().

## setPShadingRatePaletteEntries()

ShadingRatePaletteNV& VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::setPShadingRatePaletteEntries | ( | const ShadingRatePaletteEntryNV * | pShadingRatePaletteEntries_ | ) |

inline

Definition at line 36554 of file vulkan.hpp.

{
pShadingRatePaletteEntries = pShadingRatePaletteEntries_;
return *this;
}

References pShadingRatePaletteEntries.

## setShadingRatePaletteEntryCount()

ShadingRatePaletteNV& VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::setShadingRatePaletteEntryCount | ( | uint32_t | shadingRatePaletteEntryCount_ | ) |

inline

Definition at line 36548 of file vulkan.hpp.

{
shadingRatePaletteEntryCount = shadingRatePaletteEntryCount_;
return *this;
}

References shadingRatePaletteEntryCount.

## Field Documentation

## pShadingRatePaletteEntries

const ShadingRatePaletteEntryNV* VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::pShadingRatePaletteEntries

Definition at line 36582 of file vulkan.hpp.

Referenced by operator==(), and setPShadingRatePaletteEntries().

## shadingRatePaletteEntryCount

uint32_t VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::shadingRatePaletteEntryCount

Definition at line 36581 of file vulkan.hpp.

Referenced by operator==(), and setShadingRatePaletteEntryCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::shadingRatePaletteEntryCount
uint32_t shadingRatePaletteEntryCount
Definition: vulkan.hpp:36581
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::operator==
bool operator==(ShadingRatePaletteNV const &rhs) const
Definition: vulkan.hpp:36570
VkShadingRatePaletteNV
Definition: vulkan_core.h:8043
VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::pShadingRatePaletteEntries
const ShadingRatePaletteEntryNV * pShadingRatePaletteEntries
Definition: vulkan.hpp:36582
VULKAN_HPP_NAMESPACE::ShadingRatePaletteNV::ShadingRatePaletteNV
ShadingRatePaletteNV(uint32_t shadingRatePaletteEntryCount_=0, const ShadingRatePaletteEntryNV *pShadingRatePaletteEntries_=nullptr)
Definition: vulkan.hpp:36531